// Code generated by client-gen. DO NOT EDIT.

package v1alpha1

import (
	v1alpha1 "github.com/kyma-project/kyma/common/microfrontend-client/pkg/apis/ui/v1alpha1"
	scheme "github.com/kyma-project/kyma/common/microfrontend-client/pkg/client/clientset/versioned/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// MicroFrontendsGetter has a method to return a MicroFrontendInterface.
// A group's client should implement this interface.
type MicroFrontendsGetter interface {
	MicroFrontends(namespace string) MicroFrontendInterface
}

// MicroFrontendInterface has methods to work with MicroFrontend resources.
type MicroFrontendInterface interface {
	Create(*v1alpha1.MicroFrontend) (*v1alpha1.MicroFrontend, error)
	Update(*v1alpha1.MicroFrontend) (*v1alpha1.MicroFrontend, error)
	Delete(name string, options *v1.DeleteOptions) error
	DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error
	Get(name string, options v1.GetOptions) (*v1alpha1.MicroFrontend, error)
	List(opts v1.ListOptions) (*v1alpha1.MicroFrontendList, error)
	Watch(opts v1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.MicroFrontend, err error)
	MicroFrontendExpansion
}

// microFrontends implements MicroFrontendInterface
type microFrontends struct {
	client rest.Interface
	ns     string
}

// newMicroFrontends returns a MicroFrontends
func newMicroFrontends(c *UiV1alpha1Client, namespace string) *microFrontends {
	return &microFrontends{
		client: c.RESTClient(),
		ns:     namespace,
	}
}

// Get takes name of the microFrontend, and returns the corresponding microFrontend object, and an error if there is any.
func (c *microFrontends) Get(name string, options v1.GetOptions) (result *v1alpha1.MicroFrontend, err error) {
	result = &v1alpha1.MicroFrontend{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("microfrontends").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of MicroFrontends that match those selectors.
func (c *microFrontends) List(opts v1.ListOptions) (result *v1alpha1.MicroFrontendList, err error) {
	result = &v1alpha1.MicroFrontendList{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("microfrontends").
		VersionedParams(&opts, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested microFrontends.
func (c *microFrontends) Watch(opts v1.ListOptions) (watch.Interface, error) {
	opts.Watch = true
	return c.client.Get().
		Namespace(c.ns).
		Resource("microfrontends").
		VersionedParams(&opts, scheme.ParameterCodec).
		Watch()
}

// Create takes the representation of a microFrontend and creates it.  Returns the server's representation of the microFrontend, and an error, if there is any.
func (c *microFrontends) Create(microFrontend *v1alpha1.MicroFrontend) (result *v1alpha1.MicroFrontend, err error) {
	result = &v1alpha1.MicroFrontend{}
	err = c.client.Post().
		Namespace(c.ns).
		Resource("microfrontends").
		Body(microFrontend).
		Do().
		Into(result)
	return
}

// Update takes the representation of a microFrontend and updates it. Returns the server's representation of the microFrontend, and an error, if there is any.
func (c *microFrontends) Update(microFrontend *v1alpha1.MicroFrontend) (result *v1alpha1.MicroFrontend, err error) {
	result = &v1alpha1.MicroFrontend{}
	err = c.client.Put().
		Namespace(c.ns).
		Resource("microfrontends").
		Name(microFrontend.Name).
		Body(microFrontend).
		Do().
		Into(result)
	return
}

// Delete takes name of the microFrontend and deletes it. Returns an error if one occurs.
func (c *microFrontends) Delete(name string, options *v1.DeleteOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("microfrontends").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *microFrontends) DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("microfrontends").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched microFrontend.
func (c *microFrontends) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.MicroFrontend, err error) {
	result = &v1alpha1.MicroFrontend{}
	err = c.client.Patch(pt).
		Namespace(c.ns).
		Resource("microfrontends").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
