package automock

import "github.com/kyma-project/kyma/components/helm-broker/internal"
import "github.com/stretchr/testify/mock"

// BundleStorage is an autogenerated mock type for the BundleStorage type
type BundleStorage struct {
	mock.Mock
}

// FindAll provides a mock function with given fields:
func (_m *BundleStorage) FindAll() ([]*internal.Bundle, error) {
	ret := _m.Called()

	var r0 []*internal.Bundle
	if rf, ok := ret.Get(0).(func() []*internal.Bundle); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*internal.Bundle)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByID provides a mock function with given fields: id
func (_m *BundleStorage) GetByID(id internal.BundleID) (*internal.Bundle, error) {
	ret := _m.Called(id)

	var r0 *internal.Bundle
	if rf, ok := ret.Get(0).(func(internal.BundleID) *internal.Bundle); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*internal.Bundle)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(internal.BundleID) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
